Last Comment Bug 643910 - Email notifications from a blocked bug have the timestamp from its last change instead of the timestamp of the blocker
: Email notifications from a blocked bug have the timestamp from its last chang...
Status: RESOLVED FIXED
[4.0 only; trunk not affected]
: regression
Product: Bugzilla
Classification: Server Software
Component: Email Notifications (show other bugs)
: 4.0
: All All
: -- major (vote)
: Bugzilla 4.0
Assigned To: Frédéric Buclin
: default-qa
Mentors:
Depends on: 452761
Blocks: bmo-regressions
  Show dependency treegraph
 
Reported: 2011-03-22 14:12 PDT by a.zhao
Modified: 2011-04-27 14:48 PDT (History)
7 users (show)
LpSolit: approval4.0+
LpSolit: blocking4.0.1+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch for 4.0, v1 (2.50 KB, patch)
2011-04-24 18:02 PDT, Frédéric Buclin
dkl: review+
Details | Diff | Review

Description a.zhao 2011-03-22 14:12:30 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.2.15) Gecko/20110303 Firefox/3.6.15 ( .NET CLR 3.5.30729)
Build Identifier: 4.0

My userbase started to complain about email notification recently. 

The scenario is like this, Bug A depends on bug B, and bug B on bug C, etc. The users are on the CC list of bug A. Now the status of bug C changes, and bugzilla will also notify all the CC list in bug A and bug B as well.  The only trouble: bug A itself has not changed, and the notification to CC list in A will carry the bug A's last time stamp. 

Because the Date: field of the email notification is the bug A's last update date (instead of bug C's update date), the notification will appear on user's email client as email from many many days ago. This makes user ignore the bugs potentially.

Is this a new feature of bugzilla 4? 

Reproducible: Always
Comment 1 Mark Banner (:standard8) 2011-04-24 10:56:54 PDT
I can confirm this.

I just got some bugmail dated Tue, 05 Oct 2010 17:33:20 +0000.

I got three messages for one change. The change was that bug 601715 had changed from open to resolved. Here's a bit more descriptive of what I got:

- The first listed was for bug 525513 with incorrect date given above and this content:

==== Start Quote ====
Bug 525513 depends on bug 601715, which changed state.

Bug 601715 Summary: Cleanup of migration code
https://bugzilla.mozilla.org/show_bug.cgi?id=601715

           What    |Old Value                   |New Value
----------------------------------------------------------------------------
             Status|NEW                         |ASSIGNED
             Status|ASSIGNED                    |RESOLVED
         Resolution|                            |FIXED
==== End Quote ====

- The second listed was for bug 601374 which contained the same as the above email and also had an incorrect date.

- The third was for bug 601715 itself which was showing Sun, 24 Apr 2011 17:39:57 +0000. The content was:

           What    |Removed                     |Added
----------------------------------------------------------------------------
           Keywords|checkin-needed              |
             Status|ASSIGNED                    |RESOLVED
                 CC|                            |philip.chee@gmail.com
         Resolution|                            |FIXED
   Target Milestone|---                         |seamonkey2.1final
Comment 2 Frédéric Buclin 2011-04-24 17:28:51 PDT
I fixed this problem on trunk in bug 396558, but this was a major code change to have everything going right. I will see how I can fix this problem for 4.0.1.
Comment 3 Frédéric Buclin 2011-04-24 18:02:25 PDT
Created attachment 528047 [details] [diff] [review]
patch for 4.0, v1

Subset of my patch from bug 396558.
Comment 4 Frédéric Buclin 2011-04-25 07:44:55 PDT
Regression due to bug 452761.
Comment 5 David Lawrence [:dkl] 2011-04-27 14:43:16 PDT
Comment on attachment 528047 [details] [diff] [review]
patch for 4.0, v1

Code looks fine and tests show that the Dates are now correct. r=dkl
Comment 6 Frédéric Buclin 2011-04-27 14:44:48 PDT
Thanks for the review. :)
Comment 7 Frédéric Buclin 2011-04-27 14:48:05 PDT
Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.0/
modified Bugzilla/Bug.pm
modified Bugzilla/BugMail.pm
Committed revision 7579.

Note You need to log in before you can comment on or make changes to this bug.